> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/iap.md).

# IAP

Provides features to navigate to in-app purchase order pages, look up products and orders, mark product delivery as complete, and check subscription status.

> Note: `completeProductGrant` / `getSubscriptionInfo`uses the native signature as is `{ params: { orderId } }` Preserve nesting.

### API List

| API                                                                                                                               | Description                                                       |
| --------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [`IAP.createOneTimePurchaseOrder`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.createonetimepurchaseorder.md)           | Go to the one-time in-app purchase order page                     |
| [`IAP.createSubscriptionPurchaseOrder`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.createsubscriptionpurchaseorder.md) | Go to the subscription in-app purchase order page                 |
| [`IAP.getProductItemList`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getproductitemlist.md)                           | Retrieves a list of purchasable products                          |
| [`IAP.getPendingOrders`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getpendingorders.md)                               | Retrieves a list of pending orders                                |
| [`IAP.getCompletedOrRefundedOrders`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getcompletedorrefundedorders.md)       | Retrieves a list of completed or refunded orders                  |
| [`IAP.completeProductGrant`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.completeproductgrant.md)                       | Notifies the app that product delivery is complete                |
| [`IAP.getSubscriptionInfo`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getsubscriptioninfo.md)                         | Retrieves the current status information for a subscription order |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/iap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
